<?php
	
	/**
	 * simple class that logs a message to the standard log file, but only if enabled
	 *
	 * @see LoggerManager
	 */
	class MoblogLogger
	{
		/**
		 * logs a simple message to the log file, using the "debug" priority
		 */
		function Log( $message ) 
		{

			if( MOBLOG_DEBUG ) {
				lt_include( PLOG_CLASS_PATH."class/logger/loggermanager.class.php" );
				$logger =& LoggerManager::getLogger();
				$logger->debug( $message );		
			}
		}
	}
?>
